Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawablePoint Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePoint:
[legend]
Collaboration diagram for Magick::DrawablePoint:
[legend]

## Public Member Functions
| DrawablePoint (double x_, double y_)
| ~DrawablePoint (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1204 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawablePoint()

Magick::DrawablePoint::DrawablePoint | ( | double | x_,
|  | double | y_
| ) |  |
| inline

Definition at line 1207 of file Drawable.h.

## ◆ ~DrawablePoint()

Magick::DrawablePoint::~DrawablePoint | ( | void |  | ) |

Definition at line 894 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawablePoint::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 901 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawablePoint::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 897 of file Drawable.cpp.

## ◆ x() [1/2]

void Magick::DrawablePoint::x | ( | double | x_ | ) |
| inline

Definition at line 1220 of file Drawable.h.

## ◆ x() [2/2]

double Magick::DrawablePoint::x | ( | void |  | ) | const
| inline

Definition at line 1224 of file Drawable.h.

## ◆ y() [1/2]

void Magick::DrawablePoint::y | ( | double | y_ | ) |
| inline

Definition at line 1229 of file Drawable.h.

## ◆ y() [2/2]

double Magick::DrawablePoint::y | ( | void |  | ) | const
| inline

Definition at line 1233 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp